@mixin border-bottom($color: #e6e6e6, $thickness: 1px) {
  border: none;

  @if ($color == none) {
    border-bottom: none;
  } @else {
    border-bottom: $thickness solid $color;
  }
}

@mixin border-top($color: #e6e6e6, $thickness: 1px) {
  border: none;

  @if ($color == none) {
    border-top: none;
  } @else {
    border-top: $thickness solid $color;
  }
}

@mixin border-left($color: #e6e6e6, $thickness: 1px) {
  border: none;

  @if ($color == none) {
    border-left: none;
  } @else {
    border-left: $thickness solid $color;
  }
}

@mixin border-right($color: #e6e6e6, $thickness: 1px) {
  border: none;

  @if ($color == none) {
    border-right: none;
  } @else {
    border-right: $thickness solid $color;
  }
}

@mixin border($color: #4b4b4b, $thickness: 1px, $radius: 0) {
  border: $thickness solid $color;
  border-radius: $radius;
}

@mixin border-radius($tl: null, $tr: null, $br: null, $bl: null) {
  @if ($tl == null) {
    border-radius: 0;
  } @elseif ($tr == null) {
    border-radius: $tl;
  } @elseif ($br == null) {
    border-top-left-radius: $tl;
    border-top-right-radius: $tl;
    border-bottom-left-radius: $tr;
    border-bottom-right-radius: $tr;
  } @elseif ($bl == null) {
    border-top-left-radius: $tl;
    border-top-right-radius: $tl;
    border-bottom-left-radius: $tr;
    border-bottom-right-radius: $br;
  } @else {
    border-top-left-radius: $tl;
    border-top-right-radius: $tr;
    border-bottom-left-radius: $bl;
    border-bottom-right-radius: $br;
  }
}